/**
  ******************************************************************************
  * @file demo_pwm.h
  * @brief This file contains functions prototypes for the PWM demo.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __DEMO_PWM_H
#define __DEMO_PWM_H

// Includes ------------------------------------------------------------------
#include "stm8l10x.h"
#include "functions.h"
#include "mono_lcd.h"
#include "buzzer.h"
// Exported types ------------------------------------------------------------

// Exported constants --------------------------------------------------------

/* Used to identify the melody store in the external eeprom. The value must be
   different from 0x00 to NB_MELODIES-1 (see buzzer.h) */
#define PWM_DEMO_MELODY ((uint8_t)'Z')

// Symbols used for the melody entered in the LCD 
#define MELODY_END_CHAR     ((uint8_t)'*')
#define MELODY_LOOP_CHAR    ((uint8_t)'8')
#define MELODY_NULL_CHAR    ((uint8_t)'\0')
#define MELODY_NOTUSED_CHAR ((uint8_t)'?')

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------

// Exported functions --------------------------------------------------------

void PWMDEMO_Exec(void);
void PwmDisplayNotesPos(uint8_t pos);
void PwmPlayMelody(uint8_t *notes, uint8_t dn);

#endif /* __DEMO_PWM_H */

