/**
  ******************************************************************************
  * @file demo_help.c
  * @brief This file contains all the functions for the HELP demo.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Includes ------------------------------------------------------------------
#include "demo_help.h"

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------

uint8_t HelpMessageIndex = 0;

  // * @addtogroup Demo_Functions

/** Update the help message if EXEHELP state selected
  * @param[in] None
  * @return None
  **/
void HELP_Exec(void)
{

    JOYSTICK_ID_T Key;

    HelpMessageIndex = 0;
    LCD_PrintMsg(HELP_LINE1_TEXT);

    GetTimeOutStartTime();

    while (1)
    {

        Key = ReadJoystick();
        if (Key == UP)
        {
            MenuUpdate(Key);
            return;
        }

        if (TimeOut(HELP_PERIOD) == FALSE)
        {
            // if not, do nothing 
        }
        else
        {
            GetTimeOutStartTime();
            HelpMessageIndex++;
            if (HelpMessageIndex > 2)
            {
                HelpMessageIndex = 0;
            }
            switch (HelpMessageIndex)
            {
            case 0:
                LCD_PrintMsg(HELP_LINE1_TEXT);
                break;
            case 1:
                LCD_PrintMsg(HELP_LINE2_TEXT);
                break;
            case 2:
                LCD_PrintMsg(HELP_LINE3_TEXT);
                break;
            default:
                break;
            }
        }

    }

}


